Skip to main content
POST
/
agent
/
list
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "page": 1,
    "limit": 20,
    "search_query": ""
}

response = client.agents.list(**payload)
print(response)
{
  "agents": [
    {
      "id": "699702113f3323a52636240b",
      "name": "Hospitality Reservation Booking Agent",
      "status": "active",
      "voice_id": "CwhRBWXzGAHq8TQ4Fs17",
      "industry": "Hospitality",
      "useCase": "Spa Reservations",
      "type": "inbound",
      "created_date": "2026-02-19",
      "assistant_id": "d4afb99c-fb12-40bb-8cea-9d7bba7bf176",
      "first_message": "Hello, this is OceanVista Resort and Spa. I can help you with bookings, changes, or any questions. How would you like me to help you today?"
    }
  ],
  "pagination": {
    "total_agents": 1,
    "current_page": 1,
    "total_pages": 1,
    "items_per_page": 1,
    "has_next": false,
    "has_previous": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
Example:

1

limit
integer
default:20

Number of items per page

Required range: 1 <= x <= 100
Example:

20

Body

application/json

Request body for List agents.

Agent List Request schema.

search_query
string
default:""

Optional text filter

Example:

""

Response

Agent list

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.